### Hierarchy

- WalletsValidator

## Index

### Constructors

- constructor

### Methods

- validateCryptoWallet
- validateSignature

## Constructors

### constructor

- new WalletsValidator(baseId: string): WalletsValidator

- - Defined in utils/types/validators/WalletsValidator.ts:10

  #### Parameters

  - ##### baseId: string

  #### Returns WalletsValidator

## Methods

### validateCryptoWallet

- validateCryptoWallet(walletsData: CryptoWalletsData): ValidationResult<StringSignedMessage>

- - Defined in utils/types/validators/WalletsValidator.ts:16

  #### Parameters

  - ##### walletsData: CryptoWalletsData

  #### Returns ValidationResult<StringSignedMessage>

### validateSignature

- validateSignature(wallet: CryptoWalletsData): boolean

- - Defined in utils/types/validators/WalletsValidator.ts:50

  #### Parameters

  - ##### wallet: CryptoWalletsData

  #### Returns boolean

Generated using TypeDoc